Bug 196453 - [NEW PORT] audio/festvox-cmu_us_*_arctic: CMU ARCTIC voices for festival
Summary: [NEW PORT] audio/festvox-cmu_us_*_arctic: CMU ARCTIC voices for festival
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-02 23:15 UTC by Michael Danilov
Modified: 2015-12-01 18:58 UTC (History)
1 user (show)

See Also:


Attachments
The ports (22.44 KB, patch)
2015-01-02 23:15 UTC, Michael Danilov
no flags Details | Diff
The ports (23.03 KB, patch)
2015-01-02 23:25 UTC, Michael Danilov
no flags Details | Diff
The ports (23.96 KB, patch)
2015-01-03 13:59 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_awb_arctic (455.43 KB, patch)
2015-01-26 20:26 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_bdl_arctic (448.76 KB, patch)
2015-01-26 20:27 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_clb_arctic (448.58 KB, patch)
2015-01-26 20:27 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_jmk_arctic (447.42 KB, patch)
2015-01-26 20:27 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_rms_arctic (531.21 KB, patch)
2015-01-26 20:28 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_slt_arctic (448.99 KB, patch)
2015-01-26 20:28 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_slt_arctic (449.78 KB, patch)
2015-11-18 22:44 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_awb_arctic (454.77 KB, patch)
2015-11-18 22:44 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_bdl_arctic (448.10 KB, patch)
2015-11-18 22:45 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_clb_arctic (447.93 KB, patch)
2015-11-18 22:45 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_jmk_arctic (446.76 KB, patch)
2015-11-18 22:46 UTC, Michael Danilov
no flags Details | Diff
audio/festvox-cmu_us_rms_arctic (530.55 KB, patch)
2015-11-18 22:46 UTC, Michael Danilov
no flags Details | Diff
portlint output (3.90 KB, text/plain)
2015-11-18 22:51 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_awb_arctic (18.33 KB, text/plain)
2015-11-18 22:55 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_bdl_arctic (18.33 KB, text/plain)
2015-11-18 22:55 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_clb_arctic (18.33 KB, text/plain)
2015-11-18 22:58 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_jmk_arctic (18.33 KB, text/plain)
2015-11-18 23:05 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_rms_arctic (18.33 KB, text/plain)
2015-11-18 23:12 UTC, Michael Danilov
no flags Details
poudriere: audio/festvox-cmu_us_slt_arctic (18.33 KB, text/plain)
2015-11-18 23:44 UTC, Michael Danilov
no flags Details
example for dynamic plist (926 bytes, text/plain)
2015-11-22 19:57 UTC, Kurt Jaeger
no flags Details
new Makefile.common (985 bytes, text/plain)
2015-11-23 08:01 UTC, Michael Danilov
no flags Details
shar-final (13.49 KB, patch)
2015-11-30 21:00 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2015-01-02 23:15:07 UTC
Created attachment 151228 [details]
The ports

These ports add high quality CMU ARCTIC voices for Festival

audio/festvox-cmu_us_awb_arctic
audio/festvox-cmu_us_bdl_arctic
audio/festvox-cmu_us_clb_arctic
audio/festvox-cmu_us_jmk_arctic
audio/festvox-cmu_us_rms_arctic
audio/festvox-cmu_us_slt_arctic

Patching of share/festical/lib/voices.scm is needed to make the voices work without additional commands.
Comment 1 Michael Danilov 2015-01-02 23:25:36 UTC
Created attachment 151229 [details]
The ports

Corrected dependencies
Comment 2 Michael Danilov 2015-01-03 13:59:55 UTC
Created attachment 151286 [details]
The ports

Added LICENSE section. Static plists would be approx. 5M in size -- not sure if that is necessary.
Comment 3 Michael Danilov 2015-01-26 20:26:35 UTC
Created attachment 152193 [details]
audio/festvox-cmu_us_awb_arctic
Comment 4 Michael Danilov 2015-01-26 20:27:02 UTC
Created attachment 152194 [details]
audio/festvox-cmu_us_bdl_arctic
Comment 5 Michael Danilov 2015-01-26 20:27:29 UTC
Created attachment 152195 [details]
audio/festvox-cmu_us_clb_arctic
Comment 6 Michael Danilov 2015-01-26 20:27:54 UTC
Created attachment 152196 [details]
audio/festvox-cmu_us_jmk_arctic
Comment 7 Michael Danilov 2015-01-26 20:28:17 UTC
Created attachment 152197 [details]
audio/festvox-cmu_us_rms_arctic
Comment 8 Michael Danilov 2015-01-26 20:28:40 UTC
Created attachment 152198 [details]
audio/festvox-cmu_us_slt_arctic
Comment 9 Michael Danilov 2015-11-18 22:44:20 UTC
Created attachment 163301 [details]
audio/festvox-cmu_us_slt_arctic
Comment 10 Michael Danilov 2015-11-18 22:44:44 UTC
Created attachment 163302 [details]
audio/festvox-cmu_us_awb_arctic
Comment 11 Michael Danilov 2015-11-18 22:45:16 UTC
Created attachment 163303 [details]
audio/festvox-cmu_us_bdl_arctic
Comment 12 Michael Danilov 2015-11-18 22:45:40 UTC
Created attachment 163304 [details]
audio/festvox-cmu_us_clb_arctic
Comment 13 Michael Danilov 2015-11-18 22:46:17 UTC
Created attachment 163305 [details]
audio/festvox-cmu_us_jmk_arctic
Comment 14 Michael Danilov 2015-11-18 22:46:50 UTC
Created attachment 163306 [details]
audio/festvox-cmu_us_rms_arctic
Comment 15 Michael Danilov 2015-11-18 22:51:47 UTC
Created attachment 163307 [details]
portlint output
Comment 16 Michael Danilov 2015-11-18 22:55:02 UTC
Created attachment 163308 [details]
poudriere: audio/festvox-cmu_us_awb_arctic
Comment 17 Michael Danilov 2015-11-18 22:55:38 UTC
Created attachment 163309 [details]
poudriere: audio/festvox-cmu_us_bdl_arctic
Comment 18 Michael Danilov 2015-11-18 22:58:42 UTC
Created attachment 163310 [details]
poudriere: audio/festvox-cmu_us_clb_arctic
Comment 19 Michael Danilov 2015-11-18 23:05:55 UTC
Created attachment 163311 [details]
poudriere: audio/festvox-cmu_us_jmk_arctic
Comment 20 Michael Danilov 2015-11-18 23:12:01 UTC
Created attachment 163312 [details]
poudriere: audio/festvox-cmu_us_rms_arctic
Comment 21 Michael Danilov 2015-11-18 23:44:45 UTC
Created attachment 163313 [details]
poudriere: audio/festvox-cmu_us_slt_arctic
Comment 22 Kurt Jaeger freebsd_committer 2015-11-22 19:27:56 UTC
I had a look at the ports and I suggest the following changes:

- Would it be possible to use a autogenerated pkg-plist instead of the
  static one ? It saves lots of "ports tree space"
- The way they are coded right now they do not pass portlint -AC at all.
  Any chance to fix that ?
Comment 23 Kurt Jaeger freebsd_committer 2015-11-22 19:43:49 UTC
One example of a dynamic PLIST can be found in devel/avr-libc/Makefile.
Comment 24 Michael Danilov 2015-11-22 19:55:31 UTC
I will try dynamic plist generation.

Not sure about portlint: as far as I know, it can give false-positives for master-slave port setups.
Comment 25 Michael Danilov 2015-11-22 19:56:00 UTC
I will try dynamic plist generation.

Not sure about portlint: as far as I know, it can give false-positives for master-slave port setups.
Comment 26 Kurt Jaeger freebsd_committer 2015-11-22 19:57:42 UTC
Created attachment 163442 [details]
example for dynamic plist

Please have a look at the Makefile.common from festvox-cmu_us_slt_arctic/.

If you rename pkg-plist to some other name and use this version of the
Makefile.common,

make check-plist

will not generate any warnings.
Comment 27 Michael Danilov 2015-11-22 23:12:41 UTC
The Makefile.common seems to work. Should I regenerate patches and poudriere logs?

But I have spotted another problem: neither festlex-poslex nor festlex-cmu are pulled in by poudriere or pkg.

On portlint: last time I checked, Makefile.common has proper layout of a Makefile.
Comment 28 Kurt Jaeger freebsd_committer 2015-11-23 05:45:54 UTC
No new patches needed yet.

About the other issues: I have no application knowledge, so if -poslex or
-cmu are needed, can you propose a fix ? Are those RUN_ or BUILD_ depends ?

On the portlint issue I have to ask around.
Comment 29 Michael Danilov 2015-11-23 08:01:52 UTC
Created attachment 163447 [details]
new Makefile.common

Fixed depends
Comment 30 Kurt Jaeger freebsd_committer 2015-11-29 20:56:55 UTC
Test-builds done, one problem left:

The ports festvox-cmu_us_clb_arctic and festvox-cmu_us_rms_arctic
fails in make check-plist, because they have empty directories left over.

This looks like this:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir share/festival/lib/voices/us/cmu_us_rms_arctic_clunits/cep
Error: Orphaned: @dir share/festival/lib/voices/us/cmu_us_rms_arctic_clunits/dic
Error: Orphaned: @dir share/festival/lib/voices/us/cmu_us_rms_arctic_clunits/emu
/lab_hlb

To submitter: If those empty directories are never needed, I can try to remove them in the do-install step.
Comment 31 Kurt Jaeger freebsd_committer 2015-11-30 21:00:06 UTC
Created attachment 163694 [details]
shar-final

final version of shar, testbuilds@work
Comment 32 Michael Danilov 2015-11-30 21:17:25 UTC
I guess removing those dirs should not break anything, but can not check at the moment...
Comment 33 Kurt Jaeger freebsd_committer 2015-11-30 21:22:28 UTC
Testbuilds all fine, will commit next evening (it's late here in CET)
Comment 34 commit-hook freebsd_committer 2015-12-01 18:51:13 UTC
A commit references this bug:

Author: pi
Date: Tue Dec  1 18:51:00 UTC 2015
New revision: 402777
URL: https://svnweb.freebsd.org/changeset/ports/402777

Log:
  New ports: audio/festvox-cmu_us_*_arctic

  Six voices for audio/festival.

  WWW: http://www.speech.cs.cmu.edu/

  PR:		196453
  Submitted by:	Michael Danilov <mike.d.ft402@gmail.com>

Changes:
  head/audio/Makefile
  head/audio/festvox-cmu_us_awb_arctic/
  head/audio/festvox-cmu_us_awb_arctic/Makefile
  head/audio/festvox-cmu_us_awb_arctic/distinfo
  head/audio/festvox-cmu_us_awb_arctic/pkg-descr
  head/audio/festvox-cmu_us_awb_arctic/pkg-message
  head/audio/festvox-cmu_us_bdl_arctic/
  head/audio/festvox-cmu_us_bdl_arctic/Makefile
  head/audio/festvox-cmu_us_bdl_arctic/distinfo
  head/audio/festvox-cmu_us_bdl_arctic/pkg-descr
  head/audio/festvox-cmu_us_bdl_arctic/pkg-message
  head/audio/festvox-cmu_us_clb_arctic/
  head/audio/festvox-cmu_us_clb_arctic/Makefile
  head/audio/festvox-cmu_us_clb_arctic/distinfo
  head/audio/festvox-cmu_us_clb_arctic/pkg-descr
  head/audio/festvox-cmu_us_clb_arctic/pkg-message
  head/audio/festvox-cmu_us_jmk_arctic/
  head/audio/festvox-cmu_us_jmk_arctic/Makefile
  head/audio/festvox-cmu_us_jmk_arctic/distinfo
  head/audio/festvox-cmu_us_jmk_arctic/pkg-descr
  head/audio/festvox-cmu_us_jmk_arctic/pkg-message
  head/audio/festvox-cmu_us_rms_arctic/
  head/audio/festvox-cmu_us_rms_arctic/Makefile
  head/audio/festvox-cmu_us_rms_arctic/distinfo
  head/audio/festvox-cmu_us_rms_arctic/pkg-descr
  head/audio/festvox-cmu_us_rms_arctic/pkg-message
  head/audio/festvox-cmu_us_slt_arctic/
  head/audio/festvox-cmu_us_slt_arctic/Makefile
  head/audio/festvox-cmu_us_slt_arctic/Makefile.common
  head/audio/festvox-cmu_us_slt_arctic/distinfo
  head/audio/festvox-cmu_us_slt_arctic/pkg-descr
  head/audio/festvox-cmu_us_slt_arctic/pkg-message
Comment 35 Kurt Jaeger freebsd_committer 2015-12-01 18:58:00 UTC
Committed, thanks for your patience!